import React, { ReactElement } from 'react';
import { TextInputProps, TouchableOpacityProps } from 'react-native';
import { Badge } from './types';
interface Props extends TextInputProps {
    badges: Badge[];
    value: string;
    onChangeText: (_: string) => void;
    onBadgePress: () => void;
    placeholder?: string;
    inputSuffix?: () => ReactElement;
    badgeStyle?: TouchableOpacityProps['style'];
    inputProps?: TextInputProps;
    keyExtractor?: (_: any) => string;
    textExtractor?: (_: any) => string;
}
interface IBadgeInputContext {
    onBadgePress: (_: any) => void;
    textExtractor: (_: any) => string;
    keyExtractor: (_: any) => string;
    badgeStyle?: TouchableOpacityProps['style'];
}
export declare let BadgeInputContext: React.Context<IBadgeInputContext>;
export declare let BadgeInput: ({ badges, value, onChangeText, onBadgePress, placeholder, inputSuffix, badgeStyle, inputProps, style, textExtractor, keyExtractor, ...props }: Props) => JSX.Element;
export {};
